/* Mobile */
@media (max-width: 767px) {
    .mobi-0 {
        display: none;
    }

    .navbar .navbar-toggler {
        color: #fff;
        border-color: transparent;
        font-size: 30px;
        float: right;
        padding-top: 0;
        padding-right: 0;
    }

    .navbar-nav {
        width: 100%;
    }

    .navbar {
        display: block;
        margin-bottom: 0;
        list-style: none;
        position: absolute;
        left: 0;
        right: 0;
        z-index: 9999999;
    }

    .navbar-collapse {
        text-align: center;
        background-color: #B9C7FF;
        padding: 10px 0;
        width: 100%;
        box-shadow: 0 .5rem 1rem rgba(0,0,0,.15)!important;
        margin-top: 10px;
    }

    .navbar-expand-lg .navbar-nav .nav-item {
        padding-left: 0;
        padding-right: 0;
    }

    .navbar-expand-lg .navbar-nav .nav-link, .dropdown-menu a.dropdown-item {
        padding: 0px 20px!important;
        color: #000082;
        font-size: 15px;
        font-weight:400;
        line-height: 40px;
    }

    .nav a {
        letter-spacing: 2px;
        padding: 0px!important;
        color: #000082;
        text-transform: uppercase;
        position: relative;
        z-index: 1000;
        line-height: 40px;
        font-weight: 600;
    }

    .dropdown-menu {
        position: absolute;
        top: 250%;
        left: 0;
        z-index: 1000;
        display: none;
        float: left;
        min-width: 21rem;
        padding: 10px 0;
        margin: 0;
        font-size: 15px;
        color: #000082;
        text-align: center;
        list-style: none;
        background-color: #B9C7FF;
        background-clip: padding-box;
        border: 0;
        border-radius: 0;
        box-shadow: none!important;
    }

    .header .col-12 {
        padding: 0;
    }

    header {
        padding: 4px 0;
        min-height: 80px;
    }

    .mobi-logo img {
        width: 75%;
        height: auto;
    }

    /* Home page */
    .home-header h1 {
        font-size: 3rem;
        font-weight: 700;
        line-height: normal;
    }

    .home-header .d-flex {
        height: 600px;
    }

    .badge-secondary {
        top: 10px;
        left: 10px;
        padding: 4px 20px;
        font-size: 100%;
        line-height: 20px;
        vertical-align: middle;
    }

    .home-specials-slide .carousel-control-next-icon, .home-specials-slide .carousel-control-prev-icon, .shop-slider .carousel-control-next-icon, .shop-slider .carousel-control-prev-icon  {
        display: inline-block;
        width: 100%;
        height: 20px;
        background: no-repeat 50%/100% 100%;
    }

    .home-specials-slide .carousel-control-next-icon i, .home-specials-slide .carousel-control-prev-icon i {
        color: #000082;
        position: absolute;
        top: 102%;
        font-size: 30px;
    }

    .shop-slider .carousel-control-next-icon i, .shop-slider .carousel-control-prev-icon i {
        color: #000082;
        position: absolute;
        top: 47%;
        font-size: 30px;
    }

    .home-specials-slide .carousel-control-next, .shop-slider .carousel-control-next {
        opacity: 1;
        right: 35%;
    }

    .home-specials-slide .carousel-control-prev, .shop-slider .carousel-control-prev {
        left: 35%;
        opacity: 1;
    }

    .shop-slider .card-img-overlay {
        position: static;
        top: auto;
        right: 20px;
        bottom: 20px;
        left: 20px;
        padding: 20px 30px;
        opacity: 1;
        margin-top: 20px;
    }

    .home-shop-wine .card-img-top {
        width: 100%;
    }

    .home-shop-wine .h-100vh {
        height: auto!important;
    }

    .home-shop-wine .neg-marg-img-right {
        margin-left: 0;
        width: 100%;
        margin-top: 0;
    }

    .home-shop-wine .card-body {
        padding: 0 1.25rem;
    }

    .home-social1 i {
        padding: 20px;
        font-size: 40px;
        height: 100%;
        width: 80px;
    }    

    .home-social1 .d-flex {
        height: 100%;
    }

    .home-social1, .newsletter {
        padding: 30px 0;
    }

    .home-social-absolute {
        margin-top: 0;
        margin-bottom: 0;
        z-index: 9;
    }

    .home-social-absolute .card {
        height: auto;
    }

    .home-social-absolute .container {
        padding: 0;
    }

    .about-header {
        background-position: right center;
    }

    .about-header .d-flex {
        height: 360px;
        padding: 15px 0;
    }

    .vision h3 {
        font-size: 25px;
        font-weight: 700;
    }
    /* Contact */
    #contact-form .form-row>.col, #contact-form .form-row>[class*=col-] {
        padding-right: 0;
        padding-left: 0;
    }

    .contact-details {
        padding: 20px 0;
    }

    /* Products */

    .shop-page .form-control {
        display: block;
        width: 100%;
        height: calc(1.5em + .75rem + 2px);
        padding: .375rem .75rem;
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #495057;
        background-color: transparent;
        background-clip: padding-box;
        border: 1px solid #495057;
        border-radius: 0;
        transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    }

    .product-page h2 {
        font-size: 30px;
    }

    /* Cart */
    .cart-page .table td, .wishlist-page .table td {
        min-width: 150px;
        width: auto;
        display: block;
    }

    .orders-page .table td {
        min-width: 150px;
        width: auto;
    }

    #qty-container {
        width: auto;
        max-width: 40px;
    }

    .cart-page img {
        width: 50%;
        margin-bottom: 20px;
    }

    .checkbox input[type="checkbox"] + label:before {
        content: "";
        border: 1px solid #707070;
        background-color: #fff;
        border-radius: 100%;
        display: inline-block;
        width: 24px;
        height: 17px;
        padding-left: 0em;
        padding-bottom: 0em;
        margin-right: 10px;
        vertical-align: middle;
        color: transparent;
        transition: 0.2s;
        text-align: center;
        font-size: 15px;
        margin-top: 2px;
    }

    /* Footer */
    footer img {
        width: 70%;
        margin-bottom: 30px;
    }

    footer ul {
        margin-top: 0;
        margin-bottom: 0;
    }
}

/* Tablet & small screens: */
@media (min-width: 768px) and (max-width: 991px) {
    .logo img {
        width: 45%;
        margin: 10px 0;
    }

    .h2, h2 {
        font-size: 35px;
    }

    header {
        padding: 10px 0;
        height: 70px;
    }

    header img {
        width: 70%;
        height: auto;
    }

    header .navbar .navbar-toggler {
        color: #fff;
        border-color: transparent;
        font-size: 30px;
        float: right;
        padding-top: 5px;
        padding-right: 20px;
    }

    .navbar .navbar-toggler {
        color: #fff;
        border-color: transparent;
        font-size: 30px;
        float: right;
        padding-top: 35px;
        padding-right: 20px;
    }

    .navbar {
        display: inline-block;
        padding: 14px 0px;
        margin-bottom: 0;
        list-style: none;
        position: absolute;
        left: 0;
        right: 0;
        z-index: 9999999;
    }

    .navbar-collapse {
        text-align: center;
        background-color: #B9C7FF;
        padding: 20px;
        width: 310px;
        position: absolute;
        right: 0;
        left: auto;
        box-shadow: 0px 2px 5px #0000002b!important;
        top: 120%;
    }

    .navbar-expand-lg .navbar-nav .nav-link {
        padding: 0!important;
        font-weight: 500;
        font-size: 15px;
        line-height: 50px;
    }

    .dropdown-menu {
        min-width: 10rem;
        padding: 0 10px;
        width: 245px;
        box-shadow: none!important;
        text-align: center;
    }

    .dropdown-menu .col-md-12 {
        padding: 0;
    }

    .dropdown-menu a.dropdown-item {
        padding: 0!important;
        font-weight: 400;
        font-size: 15px;
        text-transform: uppercase;
        line-height: 40px;
    }

    .navbar-expand-lg .navbar-nav .nav-item {
        padding-left: 0;
        padding-right: 0;
    }

    .navbar-expand-lg .navbar-nav .nav-link {
        padding: 10px 0 10px 0;
        color: #000 !important;
    }

    .nav a {
        letter-spacing: 2px;
        padding: 0px!important;
        color: #000 !important;
        text-transform: uppercase;
        position: relative;
        z-index: 1000;
        line-height: 50px;
        font-weight: 600;
    }

    /* Home page */
    .home-header .d-flex {
        height: 700px;
    }

    .home-header h1 {
        font-size: 4rem;
        font-weight: 700;
        line-height: normal;
    }

    .home-shop-wine .card-img-top {
        width: 100%;
    }

    .home-shop-wine .neg-marg-img-right {
        margin-left: -70px;
        width: 100%;
        margin-top: -10%;
    }

    .home-shop-wine br {
        display: none;
    }

    .home-shop-wine .h-100vh {
        height: 80vh!important;
    }

    .home-social1 i {
        padding: 30px;
        font-size: 70px;
        height: auto;
        width: 130px;
    }

    .home-social-absolute {
        margin-top:40px;
        margin-bottom: 0;
    }

    .home-social-absolute .card-body {
        padding: 20px;
    }

    .home-social-absolute .card {
        height: auto;
    }

    .home-social-absolute .bg-light-blue {
        background-color: transparent!important;
    }

    .newsletter .d-flex {
        height: 250px;
        text-align: center!important;
    }

    .signup-form .form-control {
        min-width: 300px;
        max-width: 300px;
        margin: auto;
    }

    .newsletter br {
        display: none;
    }

    .shop-slider .carousel-control-next-icon i, .shop-slider .carousel-control-prev-icon i {
        color: #000082;
        position: absolute;
        top: 47%;
        font-size: 30px;
    }

    .home-specials-slide .carousel-control-next, .shop-slider .carousel-control-next {
        opacity: 1;
        right: 35%;
    }

    .home-specials-slide .carousel-control-prev, .shop-slider .carousel-control-prev {
        left: 35%;
        opacity: 1;
    }

    .shop-slider .card-img-overlay {
        position: static;
        top: auto;
        right: 20px;
        bottom: 20px;
        left: 20px;
        padding: 20px 30px;
        opacity: 1;
        margin-top: 20px;
    }

    /* About page */
    .about-header {
        padding: 40px 0;
        min-height: 280px;
    }

    .about-header .d-flex {
        height: auto;
    }

    .contact-details .card {
        height: auto;
    }
    
    /* Products */
    .shop-sidebar h3 {
        font-size: 20px;
        font-weight: 700;
    }

    .main-cat {
        font-size: 15px;
    }

    .product-page .custom-select {
        width: 100%;
    }

    .product-details .btn-primary {
        min-width: 170px;
    }

    .cart-table i {
        font-size: 18px;
    }

    .dashboard-btns .btn-primary.blue {
        min-width: 48.5%;
    }

    .checkbox input[type="checkbox"] + label:before {
        width: 16px;
        height: 16px;
    }

    /* Footer */
    footer img {
        width: 40%;
        height: auto;
        margin-bottom: 40px;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .logo img {
        width: 80%;
    }

    .navbar-nav .dropdown-menu {
        top: 66px;
    }

    .home-header .d-flex {
        height: 700px;
    }

    .home-shop-wine p>br {
        display: none;
    }

    .home-social1 i {
        padding: 40px;
        font-size: 90px;
        height: auto;
        width: 170px;
    }    

    .home-social1 .d-flex {
        height: 600px;
    }

    .home-social-absolute .card, .contact-details .card {
        height: 200px;
    }

    .home-social-absolute .card-body, .contact-details .card-body {
        padding: 20px;
    }

    .shop-slider .card-img-overlay {
        position: static;
        top: auto;
        right: 20px;
        bottom: 20px;
        left: 20px;
        padding: 20px 30px;
        opacity: 1;
        margin-top: 20px;
    }

    .home-shop-wine .card-img-top {
        width: 100%;
    }

    .home-shop-wine .card-img-top {
        width: 100%;
        margin-left: 60px;
    }

    .newsletter .d-flex {
        height: 300px;
    }

    .about-header {
        min-height: 300px;
        padding: 5% 0;
    }

    .vision h3 {
        font-size: 25px;
    }

    .shop-sidebar h3 {
        font-size: 24px;
    }

    .main-cat {
        font-size: 15px;
    }

    .product-details .price {
        font-size: 25px;
    }

    .qty-final {
        width: 44px!important;
    }

    .add-to-wishlist {
        font-size: 25px;
    }

    .checkbox input[type="checkbox"] + label:before {
        width: 25px;
        height: 18px;
    }

    .cart-table i {
        font-size: 25px;
    }

    /* footer */
    footer img {
        width: 80%;
        height: auto;
    }

    footer a, footer p, footer li {
        font-size: 16px;
    }
}

/* Laptop: */
@media (min-width: 1200px) and (max-width: 1600px) {
    .navbar-nav .dropdown-menu {
        top: 72px;
    }

    .home-header .d-flex {
        height: 580px;
        padding-top: 5%;
    }

    .about-header {
        min-height: 400px;
        padding: 5% 0;
    }

    .vision h3 {
        font-size: 25px;
        font-weight: 700;
    }

    .cart-table i {
        font-size: 20px;
    }

    .main-cat {
        font-size: 16px;
    }

    #qty-container {
        width: 40%;
    }

    .product-details .badge-secondary {
        font-size: 12px;
    }

    .home-shop-wine .neg-marg-img-right {
        margin-left: -120px;
        width: 90%;
        margin-top: 0%;
    }

    .home-shop-wine .card-img-top {
        width: 90%;
        z-index: 999;
    }

    .home-social1 i {
        padding: 40px;
        font-size: 100px;
        height: auto;
        width: 180px;
    }
}

@media (min-width: 1201px) and (max-width: 1399px) {
    .home-header .d-flex {
        height: 550px;
    }

@media (min-width: 1400px) and (max-width: 1600px) {
    .home-header .d-flex {
        height: 650px;
    }
}